<div class="page-layout carded fullwidth" fusePerfectScrollbar>

  <!-- TOP BACKGROUND -->
  <div class="top-bg {{secondColorBrand}}">

  </div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

    <!-- HEADER -->
    <div class="header white-fg" fxLayout="row" fxLayoutAlign="space-between center">

      <!-- APP TITLE -->
      <div fxLayout="row" fxLayoutAlign="start center">
        <!-- [routerLink]="'/permissions'" -->
        <button class="mr-16" mat-icon-button>
          <mat-icon>arrow_back</mat-icon>
        </button>

        <div class="logo my-12 m-sm-0" fxLayout="row" fxLayoutAlign="start center">
          <mat-icon class="logo-icon mr-16">security</mat-icon>
          <span class="logo-text h1">Novo grupo</span>
        </div>

      </div>

    </div>

    <mat-card>

      <!-- <mat-card-content> -->


      <!-- <div class="panel"> -->

      <div class="panel-title" [ngClass]="primaryColorBrand">
        <mat-icon class="white-fg">security</mat-icon>
        <span class="white-fg">&nbsp;Grupo de Permissões</span>
      </div>

      <div class="panel-content">

        <form [formGroup]="supplierForm" novalidate>

          <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <mat-form-field fxFlex="100">
              <input matInput placeholder="Nome da Permissão" required formControlName="name">
              <mat-error *ngIf="supplierForm.get('name').hasError('required')">
                Por favor, informe o nome do grupo
              </mat-error>
            </mat-form-field>
          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <mat-form-field fxFlex="100">
              <mat-select placeholder="Selecione o Perfil:" formControlName="categorie">
                <mat-option *ngFor="let users of usersList" [value]="users['id']">
                  {{users['name']}}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="supplierForm.get('categorie').hasError('required')">
                Por favor, selecione o perfil
              </mat-error>
            </mat-form-field>

          </div>

          <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <mat-form-field fxFlex="100">
              <mat-select placeholder="Selecione o Status:" formControlName="status">
                <mat-option *ngFor="let status of statusList" [value]="status['id']">
                  {{status['name']}}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="supplierForm.get('status').hasError('required')">
                Por favor, selecione o status
              </mat-error>
            </mat-form-field>

          </div>

        </form>

        <span>&nbsp;Selecione as Permissões</span>

        <hr>

        <mat-accordion>
            <mat-expansion-panel>
              <mat-expansion-panel-header>
                <mat-panel-title>
                  ERP
                </mat-panel-title>
               
              </mat-expansion-panel-header>
          
              <mat-selection-list #shoes>

                <div *ngFor="let permission of permissionsArray">
                    <hr>
                    <h3 mat-subheader>{{permission.title}}</h3>
                    <mat-list-option *ngFor="let dashboard of permission.children" [selected]="dashboard.status">
                      <span style="padding-left:10px">&nbsp;{{dashboard.name}}</span>
                    </mat-list-option>
                </div>
                  
                </mat-selection-list>
            </mat-expansion-panel>
            <mat-expansion-panel (opened)="panelOpenState = true"
                                 (closed)="panelOpenState = false">
              <mat-expansion-panel-header>
                <mat-panel-title>
                    Dashboard
                </mat-panel-title>
               
              </mat-expansion-panel-header>
              <p>Sem Permissões</p>
            </mat-expansion-panel>
          </mat-accordion>
          


       

      </div>

      <!--  </div> -->

      <hr>
      <!-- </div>
        </div> -->
      <!-- </mat-card-content> -->
      <mat-dialog-actions fxLayoutAlign="space-between center">
        <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
        <button mat-raised-button color="primary">Salvar</button>
      </mat-dialog-actions>
    </mat-card>

    <!-- end panel content -->



  </div>
